> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lacy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List campaigns

> List all campaigns

This endpoint allows you to list all campaigns.

### Response fields

**campaigns** `array`

**properties**

**id** `integer`

The id of the campaign

**name** `string`

The name of the campaign

**status** `string`

The status of the campaign

**max\_calls\_in\_parallel** `integer`

Maximum number of calls that can be made in parallel

**mark\_complete\_when\_no\_leads** `boolean`

Whether to mark the campaign as complete when there are no leads

**allowed\_hours\_start\_time** `string`

The start time for allowed calling hours

**allowed\_hours\_end\_time** `string`

The end time for allowed calling hours

**allowed\_days** `array`

The days of the week when calls are allowed

**max\_retries** `integer`

Maximum number of retry attempts for failed calls

**retry\_interval** `integer`

Interval in seconds between retry attempts

**created\_at** `string`

The timestamp when the campaign was created

**updated\_at** `string`

The timestamp when the campaign was last updated

```json 200 Response theme={null}
[
  {
    "id": 1,
    "name": "Test campaing",
    "status": "draft",
    "max_calls_in_parallel": 3,
    "mark_complete_when_no_leads": true,
    "allowed_hours_start_time": "00:00:00",
    "allowed_hours_end_time": "23:59:00",
    "allowed_days": [
      "monday",
      "tuesday",
      "wednesday",
      "thursday",
      "friday",
      "saturday",
      "sunday"
    ],
    "max_retries": 3,
    "retry_interval": 60,
    "created_at": "2025-05-29T07:18:34.000000Z",
    "updated_at": "2025-05-29T07:18:34.000000Z"
  }
]
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.